## view.xhtml
Class Tr

    java.lang.Object
      view.xhtml.HtmlObject
          view.xhtml.HtmlElement
              view.xhtml.ContainerElement
                  view.xhtml.Tr

    public class Tr

extends ContainerElement

Constructor Summary
`Tr()` Constructs the element.

Method Summary
`Td` `addTd()` Adds and returns a 'td' element.
`Tr` `addTd(HtmlObject html)` As above, but automatically adds an object to the 'td' element.
`Tr` `addTd(java.lang.String text)` As above, but accepts a String.
`Th` `addTh()` As in addTd(), but for 'th'.
`Tr` `addTh(HtmlObject html)` As in addTd(), but for 'th'.
`Tr` `addTh(java.lang.String text)` As in addTd(), but for 'th'.

Methods inherited from class view.xhtml.ContainerElement
`add, add, getHtml, getHtml`

Methods inherited from class view.xhtml.HtmlElement
`getCloseTag, getCloseTag, getStartTag, getStartTag, setAttribute, setClass, setId, setName`

Methods inherited from class view.xhtml.HtmlObject
`getHtml, getIndent, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Tr

    public Tr()

  Constructs the element.

Method Detail

### addTd

    public Td addTd()

  Adds and returns a 'td' element.

### addTd

    public Tr addTd(HtmlObject html)

  As above, but automatically adds an object to the 'td' element.

  Parameters:
    `html` - the element to add.

### addTd

    public Tr addTd(java.lang.String text)

  As above, but accepts a String.

### addTh

    public Th addTh()

  As in addTd(), but for 'th'.

### addTh

    public Tr addTh(HtmlObject html)

  As in addTd(), but for 'th'.

### addTh

    public Tr addTh(java.lang.String text)

  As in addTd(), but for 'th'.